#include <iostream>
#include <algorithm>
using namespace std;

struct frilenser
{
	long long A;
	double P;
};

int main(int argc, char *argv[])
{
	long long N;
	cin>>N;
	frilenser F[N];
	for (int i = 0; i < N; i++)
	{
		cin>>F[i].A>>F[i].P;
	}
	
	sort(F, F+N, [](frilenser c, frilenser b){ return c.P > b.P; });
	
	double naj = 0;
	long long zbir = 0;
	
	for (int i = 0; i < N; i++)
	{
		zbir += F[i].A;
		if ((zbir * F[i].P) > naj)
			naj = zbir * F[i].P;
	}
	cout<<to_string(naj);
}